=== modified file 'devportalbinary/backends/pdf/architecture'
--- devportalbinary/backends/pdf/architecture	2011-12-13 01:52:36 +0000
+++ devportalbinary/backends/pdf/architecture	2011-12-13 04:23:22 +0000
@@ -1,3 +1,5 @@
 #!/bin/sh
+# Copyright 2011 Canonical Ltd.  This software is licensed under the
+# GNU Affero General Public License version 3 (see the file LICENSE).
 
 echo "all"

=== modified file 'devportalbinary/backends/pdf/description'
--- devportalbinary/backends/pdf/description	2011-12-13 01:52:36 +0000
+++ devportalbinary/backends/pdf/description	2011-12-13 04:23:22 +0000
@@ -1,4 +1,6 @@
 #!/usr/bin/env python
+# Copyright 2011 Canonical Ltd.  This software is licensed under the
+# GNU Affero General Public License version 3 (see the file LICENSE).
 
 import json
 from devportalbinary.binary import (

=== modified file 'devportalbinary/backends/pdf/extra_files'
--- devportalbinary/backends/pdf/extra_files	2011-12-13 01:52:36 +0000
+++ devportalbinary/backends/pdf/extra_files	2011-12-13 04:23:22 +0000
@@ -25,7 +25,7 @@
     desktop_file = get_pdf_desktop_file(
         package_name, path,
         tagline=metadata.get(TAGLINE, ''),
-        categories=metadata.get(CATEGORIES, 'Education;'))
+        categories=metadata.get(CATEGORIES, ''))
     extra_files = {
             # XXX: Hardcoded literal attack!
             'debian/install': install_file,

=== modified file 'devportalbinary/tests/test_binary.py'
--- devportalbinary/tests/test_binary.py	2011-12-13 01:52:36 +0000
+++ devportalbinary/tests/test_binary.py	2011-12-13 04:23:22 +0000
@@ -17,6 +17,7 @@
     get_file_type,
     get_file_types,
     get_install_file,
+    get_pdf_desktop_file,
     get_shared_library_dependencies,
     guess_dependencies,
     guess_executable,
@@ -137,6 +138,19 @@
             {'Comment': tagline, 'Categories': categories},
             AreDesktopValuesFor(desktop_file))
 
+    def test_pdf_exec_line(self):
+        tempdir = self.useFixture(TempdirFixture())
+        tempdir.touch('foo.pdf')
+        package_name = self.getUniqueString()
+        tagline = self.getUniqueString()
+        categories = self.getUniqueString()
+        desktop_file = get_pdf_desktop_file(
+            package_name, tempdir.path, tagline=tagline, categories=categories)
+        self.assertThat(
+            {'Exec': '/usr/bin/xdg-open /opt/%s/%s'
+                % (package_name, 'foo.pdf')},
+            AreDesktopValuesFor(desktop_file))
+
 
 class FindExecutableTests(TestCase):
 

=== modified file 'devportalbinary/tests/test_pdf_backend.py'
--- devportalbinary/tests/test_pdf_backend.py	2011-12-13 01:52:36 +0000
+++ devportalbinary/tests/test_pdf_backend.py	2011-12-13 04:23:22 +0000
@@ -87,13 +87,13 @@
         # The pdf backend gets the package name from the metadata file.
         tempdir = self.useFixture(TempdirFixture())
         tempdir.create_file(METADATA_FILE, json.dumps({PACKAGE_NAME: 'foo'}))
-        package_name = self.get_info(BACKEND_NAME, PackageName, tempdir.path)
+        package_name = self.get_info_for(BACKEND_NAME, PackageName, tempdir.path)
         self.assertEqual("foo", package_name)
 
     def test_architecture(self):
         # The pdf backend set architecture to all
         tempdir = self.useFixture(TempdirFixture())
-        architecture = self.get_info(BACKEND_NAME, Architecture, tempdir.path)
+        architecture = self.get_info_for(BACKEND_NAME, Architecture, tempdir.path)
         self.assertEqual("all", architecture)
 
     def get_info_for(self, backend_name, info_element, path):

